# Generated by Django 4.1.3 on 2023-01-20 10:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('discussion_app', '0026_participantsofdiscussion_is_initiator'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('payment_app', '0008_alter_checkoutsessiondata_charge_refunddata'),
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='User email')),
                ('charge_id', models.CharField(blank=True, max_length=150, null=True, verbose_name='Charge ID')),
                ('charge_status', models.CharField(blank=True, max_length=30, null=True, verbose_name='Charge status')),
                ('payment_intent_id', models.CharField(blank=True, max_length=150, null=True, verbose_name='Payment intent id')),
                ('checkout_session_id', models.CharField(blank=True, max_length=150, null=True, verbose_name='Checkout session id')),
                ('quantity', models.SmallIntegerField(verbose_name='Quantity')),
                ('amount_captured', models.IntegerField(blank=True, null=True, verbose_name='Amount captured')),
                ('payment_status', models.CharField(blank=True, max_length=30, null=True, verbose_name='Payment status')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Updated at')),
                ('is_confirmed', models.BooleanField(default=False, verbose_name='Is confirmed')),
                ('discussion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='order', to='discussion_app.discussion', verbose_name='Discussion')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='order', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Order',
                'verbose_name_plural': 'Orders',
            },
        ),
        migrations.CreateModel(
            name='Refund',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount_refunded', models.IntegerField(verbose_name='Amount refunded')),
                ('status', models.CharField(max_length=30, verbose_name='Status')),
                ('order', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='refund', to='payment_app.order', verbose_name='Order')),
            ],
            options={
                'verbose_name': 'Refund',
                'verbose_name_plural': 'Refunds',
            },
        ),
        migrations.RemoveField(
            model_name='checkoutsessiondata',
            name='charge',
        ),
        migrations.RemoveField(
            model_name='checkoutsessiondata',
            name='discussion',
        ),
        migrations.RemoveField(
            model_name='checkoutsessiondata',
            name='user',
        ),
        migrations.RemoveField(
            model_name='refunddata',
            name='charge',
        ),
        migrations.RemoveField(
            model_name='refunddata',
            name='discussion',
        ),
        migrations.RemoveField(
            model_name='refunddata',
            name='user',
        ),
        migrations.DeleteModel(
            name='ChargeData',
        ),
        migrations.DeleteModel(
            name='CheckoutSessionData',
        ),
        migrations.DeleteModel(
            name='RefundData',
        ),
    ]
